;;;; binio.scm


(define binio-read-byte read-byte)
(define binio-write-byte write-byte)

(define (binio-read-subu8vector
	 u8vect
	 start
	 end
	 #!optional
	 (port (current-input-port)))
  (read-u8vector! (fx- end start) u8vect port start))

(define (binio-write-subu8vector
	  u8vect
	  start
	  end
          #!optional
	  (port (current-output-port)))
  (write-u8vector u8vect port start end))

(define (binio-open-input-file filename)
  (open-input-file filename #:binary))

(define (binio-open-output-file filename)
  (open-output-file filename #:binary))

(define (binio-input-port? port)
  (input-port? port))

(define (binio-output-port? port)
  (output-port? port))

(define (binio-close-input-port port)
  (close-input-port port))

(define (binio-close-output-port port)
  (close-output-port port))
